"""Add draft to leave model

Revision ID: 8ca86cd09925
Revises: 7c2f9f7f467b
Create Date: 2020-07-28 14:50:48.446956

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "8ca86cd09925"
down_revision = "7c2f9f7f467b"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("leaves", schema=None) as batch_op:
        batch_op.add_column(sa.Column("is_draft", sa.Boolean(), nullable=False))

    with op.batch_alter_table("users", schema=None) as batch_op:
        batch_op.drop_index("ix_users_uuid")
        batch_op.create_index(batch_op.f("ix_users_uuid"), ["uuid"], unique=False)

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("users", schema=None) as batch_op:
        batch_op.drop_index(batch_op.f("ix_users_uuid"))
        batch_op.create_index("ix_users_uuid", ["uuid"], unique=True)

    with op.batch_alter_table("leaves", schema=None) as batch_op:
        batch_op.drop_column("is_draft")

    # ### end Alembic commands ###
